Subject: Problems trying to build mc
From: Frank Schmitt <[email-masked]>
To: [email-masked]
Date: Mon, 04 Feb 2002 10:21:33 +0100
Newsgroups: gmane.os.cygwin

Hey all

I'm trying to build Gnu Midnight Commander but I get some errors I can't
solve up myself.

I first compiled glib-1.2.10, this was quite straightforward, I just had
to comment out one line:

---------------------
--- gstrfuncs.c
+++ gstrfuncs.c
@@ -702,7 +702,6 @@ g_strsignal (gint signum)
   char *msg;

 #ifdef HAVE_STRSIGNAL
-  extern char *strsignal (int sig);
   return strsignal (signum);
 #elif NO_SYS_SIGLIST
   switch (signum)
---------------------

(I found this one on a mc mailinglist archive.) After that I tried to
build mc. Configure did work, but make gave me the following errors:

dir.o: In function `handle_dirent':
/usr/src/mc-4.5.55/src/dir.c:427: undefined reference to `gettext'
/usr/src/mc-4.5.55/src/dir.c:427: undefined reference to `gettext'
dir.o: In function `sort_type_to_name':
/usr/src/mc-4.5.55/src/dir.c:698: undefined reference to `gettext'

After that there are some more errors of the same kind (undefined
reference to 'gettext'.

Any idea what I've got to do? On the mc homepage they say it should
compile OOTB.

-- 
One Ring to rule them all, One Ring to find them,
One Ring to bring them all and in the darkness bind them
In the Land of Mordor where the Shadows lie.
19. Dezember 2001

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/